-- DATA FORMAT

-- playerlist = table
-- list of all shadow users and their damage
-- ( "name" = name,
--   "class" = class, 
--   "damagelist" = damagelist
--   "resulttable" = resulttable -- only for "player"
--   "proctable" = proctable -- only for "player"
--   "ISBcontribution" = ISBcontribution  -- total damage amped by ISB (divide by 6 to get the bonus)
--   "SBcrits" = sbcrits    -- SB crit count 
--   "Spellinfo" - only for "player"
-- first entry is "all combats" or "last combat" and contains totals

-- damagelist = table
-- lists all of a person's damage per spell
-- (( spellname, critcount, ticcount, totaldamage, maxdamage, ampeddamage,totalcritdamage,partialresistdamage, school )) -- ampeddamage lists the % of it that was added by ISB
-- first entry is "total" and contains totals

-- resulttable = table
-- table of our own spell results
-- ( spellname, school, resultlist )
--        resultlist = (( level , resistcount, castcount, critcount, damagetotal))
-- note that level can be nil due to targetless spells, such as lifetap and darkpact (and possibly hellfire, later on)
-- hellfire is an exception cause it has an "Hellfire effect" field too.
-- Hellfire has a bonus field that tracks tic count of damage to yourself, used to measure time spent channeling

-- proctable = table
-- tracks all temporary procs, so we can keep track of trinkets/set bonus procs
-- ("name", "spellpower", "lastprocced", "duration", "expires", "proccount", "cooldown", "spellcount", "active", "stackcount", "stacks", "school") -- 
-- duration holds the length in seconds between buff acquisition and fading, for reporting purposes only
-- expires holds the system time the buff fades
-- spellcount counts spells affected
-- stacks track current amount of stacks
-- stackcount tracks total amount of stacks affecting spells
-- school is the school boosted. either "Fire" or "Shadow" or "All"

-- spellinfo = table
-- { spellcount, spellpower, firecount, shadowcount, firepower, shadowpower }
-- tracks amount of offensive spells cast, both total, fire and shadow, and your total fire/shadowpower

-- list of targets currently debuffed with ISB 
-- ShadowSeer_DebuffedList = table
-- ("target", "time", "caster")


-- list of recent shadowbolt crits
-- ShadowSeer_RecentCrits = table 
-- ("target", "time", "caster")


-- list of target levels
-- ShadowSeer_TargetList = table
-- {"name", "level"}

-- ShadowSeer_ViewMode = "PlayerList" -- current view mode
-- "PlayerList", "OwnSpells", "Trinkets", "OwnResists"


